Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoGnuplot Class Reference

Base class for calls to gnuplot. More...

`#include <eoGnuplot.h>`

Inheritance diagram for eoGnuplot:

List of all members.

## Public Member Functions
| eoGnuplot (std::string _title, std::string _extra=std::string(""))
| Open pipe to Gnuplot.
virtual | ~eoGnuplot ()
| Destructor.
virtual std::string | className () const
| Class name.
void | gnuplotCommand (const char *_command)
| Send command to gnuplot.
void | gnuplotCommand (std::string _command)
| Send command to gnuplot.
## Protected Member Functions
void | initGnuPlot (std::string _title, std::string _extra)
| Initialize gnuplot.
## Protected Attributes
bool | firstTime
| The stats might be unknown in Ctor.
PCom * | gpCom
| Communication with gnuplot OK.
## Static Protected Attributes
unsigned | numWindow = 0
| Internal counter for gnuplot windows.

## Detailed Description

Base class for calls to gnuplot.

This class is the abstract class that will be used by further gnuplot calls to plots what is already written by some eoMonitor into a file

Author:
  Marc Schoenauer

Version:
  0.0 (2001)

Definition at line 38 of file eoGnuplot.h.

## Constructor & Destructor Documentation

eoGnuplot::eoGnuplot | ( | std::string | _title,
|  | std::string | _extra = `std::string("")`
| ) |

  | Open pipe to Gnuplot. Parameters:
  | _title | Title for gnuplot window.
  | _extra | Extra parameters to gnuplot (default <none>).
Definition at line 37 of file eoGnuplot.cpp. References initGnuPlot().

eoGnuplot::~eoGnuplot | ( |  | ) | `[virtual]`

| Destructor. Close the gnuplot windows if pipe was correctly opened Definition at line 45 of file eoGnuplot.cpp. References gpCom.

## Member Function Documentation

void eoGnuplot::gnuplotCommand | ( | std::string | _command | ) | `[inline]`

| Send command to gnuplot. This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Definition at line 66 of file eoGnuplot.h.

void eoGnuplot::initGnuPlot | ( | std::string | _title,
|  | std::string | _extra
| ) | `[protected]`

  | Initialize gnuplot. Parameters:
  | _title | Title for gnuplot window.
  | _extra | Extra parameters to gnuplot.
Definition at line 70 of file eoGnuplot.cpp. References gpCom, and numWindow. Referenced by eoGnuplot().

The documentation for this class was generated from the following files:

- eoGnuplot.h
- eoGnuplot.cpp